<script>
    import Login from "./Login.svelte";
    import Calendar from "./Calendar.svelte";
    import Tasks from "./Tasks.svelte";
    import { ThumbsUpIcon } from 'svelte-feather-icons'

    let name = 'world';
    let loggedIn = true;
    let showPage = "tasks";

    function handleConnected() {
        console.log("app connected, page is", showPage);
        loggedIn = true;
    }

    function updatePage(event){
        console.log("### update page", event.detail);
        showPage = event.detail;
    }
</script>

<h1 class="title">
    Partage ton ménage
    <ThumbsUpIcon size="20"/>
</h1>
{#if loggedIn}
    {#if showPage === "calendar"}
        <Calendar on:changePage={updatePage}/>
    {:else if showPage === "tasks"}
        <Tasks on:changePage={updatePage}/>
    {/if}
{:else}
    <Login on:connected={handleConnected} />
{/if}



